<?php
/*
Plugin Name: Simplified Pro Enhancement Suite
Plugin URI: http://www.poisonedcoffee.com/simplifiedpro/
Description: Collection of supercharged widgets for Simplified Pro theme.
Author: Poisoned Coffee
Author URI: http://www.poisonedcoffee.com/
Version: 1.0
License: GPL
Text Domain: pc_espro
Domain Path: /lang/
*/

if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'SI_PRO_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'SI_PRO_PLUGIN_FILE', __FILE__ );
define( 'SI_PRO_VERSION', '1.0' );

//Widgets get loaded
require_once(SI_PRO_PLUGIN_DIR . 'widgets/widget-authors-list.php');
require_once(SI_PRO_PLUGIN_DIR . 'widgets/widget-contact-info.php');
require_once(SI_PRO_PLUGIN_DIR . 'widgets/widget-about-me.php');
require_once(SI_PRO_PLUGIN_DIR . 'widgets/widget-recent-posts.php');
require_once(SI_PRO_PLUGIN_DIR . 'widgets/widget-image-linked.php');


require_once(SI_PRO_PLUGIN_DIR . 'plugin-updates/plugin-update-checker.php');
$ExampleUpdateChecker = PucFactory::buildUpdateChecker(
	'http://poisonedcoffee.com/ds/esproupdate.json',
	__FILE__
);

//load scripts for widgets (to admin and customiser)
function si_pro_enqueue_admin_scripts() {
	$screen = get_current_screen();

	if ( 'widgets' == $screen->id ) {
		wp_deregister_style( 'si-widget-admin-style' );
		wp_deregister_script( 'si-widget-admin-js' );

		wp_register_style( 'si-widget-admin-style', plugin_dir_url( __FILE__ ) . 'css/admin.css', array(), SI_PRO_VERSION, 'all' );
		wp_enqueue_style( 'si-widget-admin-style' );

		wp_enqueue_media();
		wp_register_script( 'si-widget-admin-js', plugin_dir_url( __FILE__ ) . 'js/admin.js', array ( 'jquery' ), SI_PRO_VERSION, true );
		wp_enqueue_script( 'si-widget-admin-js' );
	}
}
add_action('admin_enqueue_scripts', 'si_pro_enqueue_admin_scripts' );

function si_pro_customize_enqueue() {
	wp_deregister_style( 'si-widget-admin-style' );
	wp_deregister_script( 'si-widget-admin-js' );

	wp_register_style( 'si-widget-admin-style', plugin_dir_url( __FILE__ ) . 'css/admin.css', array(), SI_PRO_VERSION, 'all' );
	wp_enqueue_style( 'si-widget-admin-style' );

	wp_enqueue_media();
	wp_register_script( 'si-widget-admin-js', plugin_dir_url( __FILE__ ) . 'js/admin.js', array ( 'jquery' ), SI_PRO_VERSION, true );
	wp_enqueue_script( 'si-widget-admin-js' );
}
add_action( 'customize_controls_enqueue_scripts', 'si_pro_customize_enqueue' );

?>