<?php
class si_contact_info_widget extends WP_Widget {

    /** 
     * constructor 
    */
    function __construct() {
		parent::__construct(
			'si_contact_info_widget',
			__( 'Simplified: Contact Info', pc_espro ),
			array( 'description' => __( 'Display contact info.', pc_espro ), )
		);
    }

  function form($instance){
    //show widget form in admin panel
    	$title = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
    	$contact_box_1 = isset( $instance['contact_box_1'] ) ? esc_attr( $instance['contact_box_1'] ) : '';
    	$contact_box_2 = isset( $instance['contact_box_2'] ) ? esc_attr( $instance['contact_box_2'] ) : '';
    	$contact_box_3 = isset( $instance['contact_box_3'] ) ? esc_attr( $instance['contact_box_3'] ) : '';
    	$contact_box_4 = isset( $instance['contact_box_4'] ) ? esc_attr( $instance['contact_box_4'] ) : '';
    	$contact_box_5 = isset( $instance['contact_box_5'] ) ? esc_attr( $instance['contact_box_5'] ) : '';
    	$contact_box_6 = isset( $instance['contact_box_6'] ) ? esc_attr( $instance['contact_box_6'] ) : '';
    	$contact_box_7 = isset( $instance['contact_box_7'] ) ? esc_attr( $instance['contact_box_7'] ) : '';
		
?>
    <p><?php _e( 'Widget title:', pc_espro ); ?><input class="widefat" 
      name="<?php echo $this->get_field_name('title') ?>" 
      type="text" value="<?php echo esc_attr($title)?>"/>
    </p>
    <p><?php _e( 'Organisation name:', pc_espro ); ?><input class="widefat" 
      name="<?php echo $this->get_field_name('contact_box_1') ?>"
      type="text" value="<?php echo esc_attr($contact_box_1)?>"/>
    </p>
    <p><?php _e( 'Description:', pc_espro ); ?> <textarea class="widefat" 
      name="<?php echo $this->get_field_name('contact_box_2') ?>" 
      ><?php echo esc_attr($contact_box_2) ?></textarea>
    </p>
    <p><?php _e( 'Address:', pc_espro ); ?> <textarea class="widefat" 
      name="<?php echo $this->get_field_name('contact_box_3') ?>" 
      ><?php echo esc_attr($contact_box_3) ?></textarea>
    </p>
    <p><?php _e( 'Locality (e.g. Cannes, France):', pc_espro ); ?><input class="widefat"
      name="<?php echo $this->get_field_name('contact_box_4') ?>" 
      type="text" value="<?php echo esc_attr($contact_box_4)?>"/>
    </p>
    <p><?php _e( 'Phone:', pc_espro ); ?> <input class="widefat"
      name="<?php echo $this->get_field_name('contact_box_5') ?>"
      type="text" value="<?php echo esc_attr($contact_box_5)?>"/>
     </p>
    <p><?php _e( 'Email:', pc_espro ); ?> <input class="widefat"
      name="<?php echo $this->get_field_name('contact_box_6') ?>"
      type="text" value="<?php echo esc_attr($contact_box_6)?>"/>
     </p>
    <p><?php _e( 'Skype:', pc_espro ); ?> <input class="widefat" 
      name="<?php echo $this->get_field_name('contact_box_7') ?>"
      type="text" value="<?php echo esc_attr($contact_box_7)?>"/>
     </p>
    <?php
  }		
		
		
  function update($new_instance, $old_instance)
  {
    //update widget settings
		$instance = $old_instance;
		$instance['title'] = isset( $new_instance['title'] ) ? strip_tags( $new_instance['title'] ) : '';
		$instance['contact_box_1'] = isset( $new_instance['contact_box_1'] ) ? strip_tags( $new_instance['contact_box_1'] ) : '';
		$instance['contact_box_2'] = isset( $new_instance['contact_box_2'] ) ? strip_tags( $new_instance['contact_box_2'] ) : '';
		$instance['contact_box_3'] = isset( $new_instance['contact_box_3'] ) ? strip_tags( $new_instance['contact_box_3'] ) : '';
		$instance['contact_box_4'] = isset( $new_instance['contact_box_4'] ) ? strip_tags( $new_instance['contact_box_4'] ) : '';
		$instance['contact_box_5'] = isset( $new_instance['contact_box_5'] ) ? strip_tags( $new_instance['contact_box_5'] ) : '';
		$instance['contact_box_6'] = isset( $new_instance['contact_box_6'] ) ? strip_tags( $new_instance['contact_box_6'] ) : '';
		$instance['contact_box_7'] = isset( $new_instance['contact_box_7'] ) ? strip_tags( $new_instance['contact_box_7'] ) : '';
		
		return $instance;
  }

  function widget($args, $instance)
  {
    //display widget
        extract( $args );
		global $wpdb;
		
      	$title = apply_filters( 'widget_title', $instance['title'] );
		
    	$contact_box_1 = ! empty ( $instance['contact_box_1'] ) ? $instance['contact_box_1'] : '';
    	$contact_box_2 = ! empty ( $instance['contact_box_2'] ) ? $instance['contact_box_2'] : '';
    	$contact_box_3 = ! empty ( $instance['contact_box_3'] ) ? $instance['contact_box_3'] : '';
    	$contact_box_4 = ! empty ( $instance['contact_box_4'] ) ? $instance['contact_box_4'] : '';
    	$contact_box_5 = ! empty ( $instance['contact_box_5'] ) ? $instance['contact_box_5'] : '';
    	$contact_box_6 = ! empty ( $instance['contact_box_6'] ) ? $instance['contact_box_6'] : '';
    	$contact_box_7 = ! empty ( $instance['contact_box_7'] ) ? $instance['contact_box_7'] : '';
		
        echo $before_widget;  

    if(!empty($title)){ echo $before_title . $title . $after_title; }

echo '
<div class="widget-contact-info" itemscope itemtype="http://schema.org/LocalBusiness">';
    if(!empty($contact_box_1)){ 
		echo '<h3><span itemprop="name">'.$contact_box_1.'</span></h3>';
	}

    if(!empty($contact_box_2)){ 
		echo '<p><span itemprop="description">'.$contact_box_2.'</span></p>';
	}

    if(!empty($contact_box_3)){ 
		echo '<div itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
    <p><span class="fa fa-pin-map"></span><span itemprop="streetAddress">'.$contact_box_3.'</span></p>';

    if(!empty($contact_box_4)){ 
		echo '<p class="locality"><span itemprop="addressLocality">'.$contact_box_4.'</span></p>';
	}		
	echo '</div>';	
	}

    if(!empty($contact_box_5)){ 
		echo '<p><span class="fa fa-phone-mobile"></span>
		<span itemprop="telephone">'.$contact_box_5.'</span></p>';
	}


	if(!empty($contact_box_6)){ 
		echo '<p><span class="fa fa-email-envelope"></span>
		<a href="mailto:'.$contact_box_6.'">'.$contact_box_6.'</a></p>';
	}
	
	if(!empty($contact_box_7)){ 
		echo '
		<p><span class="fa fa-skype"></span>
		<a href = "skype:'.$contact_box_7.'?call">'.$contact_box_7.'</a></p>
		';
	}
	
	echo '</div>';
	
		echo $after_widget;
  
  }


}

//register widget
add_action( 'widgets_init', function(){
     register_widget( 'si_contact_info_widget' );
});	

?>