<?php
class si_image_linked_widget extends WP_Widget {
	function __construct() {
		$widget_ops = array( 'description' => __('Just an image with a link', pc_espro) );
		parent::__construct( 'si_image_linked_widget', __('Simplified: Linked Image', pc_espro), $widget_ops );
	}

	function widget($args, $instance) {

		echo $args['before_widget'];
		
		
		$class = !empty( $instance['style'] ) ? $instance['style'] : 'none';

		$style = array();
		if ( 'half' == $class ) {
			$style[] = 'max-width:50%;';
		}


		$url = ! empty( $instance['url'] ) ? esc_url( $instance['url'] ) : '';
		$image = esc_url( $instance['image'] );

		if ( ! empty( $image ) ) {
			if ( !empty( $url ) )
				echo '<a class="image-hover" href="'.$url.'">';

			echo '<img class="img-'.$class.'" src="'.$image.'" style="'.implode( ';', $style ).'" />';

			if ( !empty( $url ) )
				echo '</a>';
		}


		echo $args['after_widget'];
	}

	function update( $new_instance, $old_instance ) {
		$instance['image'] = esc_url_raw( $new_instance['image'] );
		$instance['style'] = strip_tags( $new_instance['style'] );
		$instance['url'] = esc_url_raw( $new_instance['url'] );
		return $instance;
	}

	function form( $instance ) {
		$image = isset( $instance['image'] ) ? $instance['image'] : '';
		$imagestyle = '';
		if ( empty( $image ) )
			$imagestyle = ' style="display:none"';
		$style = isset( $instance['style'] ) ? $instance['style'] : 'none';
		$url = isset( $instance['url'] ) ? $instance['url'] : '';
		?>
        
		<div class="si-widget-image-field">
			<input class="widefat" id="<?php echo $this->get_field_id( 'image' ); ?>" name="<?php echo $this->get_field_name( 'image' ); ?>" type="text" value="<?php echo $image; ?>" />
			<a class="si-widget-image-upload button inline-button" data-target="#<?php echo $this->get_field_id( 'image' ); ?>" data-preview=".si-widget-image" data-frame="select" data-state="wpc_widgets_insert_single" data-fetch="url" data-title="Insert Image" data-button="Insert" data-class="media-frame si-widget-custom-uploader" title="Add Media"><?php _e('Add Image', pc_espro) ?></a>
			<a class="button si-widget-delete-image" data-target="#<?php echo $this->get_field_id( 'image' ); ?>" data-preview=".si-widget-image"><?php _e('Remove', pc_espro) ?></a>
			<div class="si-widget-image"<?php echo $imagestyle; ?>><img src="<?php echo esc_attr($image); ?>" /></div>
		</div>
		<p>
			<label for="<?php echo $this->get_field_id('url'); ?>"><?php _e('Image Link:', pc_espro) ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" value="<?php echo $url; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('style'); ?>"><?php _e('Maximum width:', pc_espro); ?></label>
			<select id="<?php echo $this->get_field_id('style'); ?>" name="<?php echo $this->get_field_name('style'); ?>">
				<option value="none"<?php selected( $style, 'none' ); ?>>100%</option>
				<option value="half"<?php selected( $style, 'half' ); ?>>50%</option>
			</select>
		</p>

		<?php
	}
}

//register widget
add_action( 'widgets_init', function(){
     register_widget( 'si_image_linked_widget' );
});	



?>